//go:build fips

package agent

import (
	"gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v18/internal/module/modagentk"
	"gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v18/internal/module/starboard_vulnerability"
)

type Factory struct{}

func (f *Factory) IsProducingLeaderModules() bool {
	return false
}

func (f *Factory) New(cfg *modagentk.Config) (modagentk.Module, error) {
	return nil, nil
}

func (f *Factory) Name() string {
	return starboard_vulnerability.ModuleName
}
